eID middleware |

# be.portugal.eid.PTEID_SisId Class Reference

Class for the id document on a SIS Card. More...

Inheritance diagram for be.portugal.eid.PTEID_SisId:

List of all members.

## Public Member Functions
synchronized void | delete ()
String | getName () throws java.lang.Exception
| Get the name field.
String | getSurname () throws java.lang.Exception
| Get the surname field.
String | getInitials () throws java.lang.Exception
| Get the initials field.
String | getGender () throws java.lang.Exception
| Get the Gender field.
String | getDateOfBirth () throws java.lang.Exception
| Get the Date Of Birth field.
String | getSocialSecurityNumber () throws java.lang.Exception
| Get the Social Security Number field.
String | getLogicalNumber () throws java.lang.Exception
| Get the Logical Number field.
String | getDateOfIssue () throws java.lang.Exception
| Get the Date Of Issue field.
String | getValidityBeginDate () throws java.lang.Exception
| Get the Validity Begin Date field.
String | getValidityEndDate () throws java.lang.Exception
| Get the Validity End Date field.
## Protected Member Functions
| PTEID_SisId (long cPtr, boolean cMemoryOwn)
void | finalize ()
## Static Protected Member Functions
static long | getCPtr (PTEID_SisId obj)

## Detailed Description

Class for the id document on a SIS Card.

To get this object: PTEID_SISCard.getID() PTEID_SISCard.getDocument()

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_SisId.PTEID_SisId | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

## Member Function Documentation

synchronized void be.portugal.eid.PTEID_SisId.delete | ( |  | ) |

Reimplemented from be.portugal.eid.PTEID_XMLDoc.

References be.portugal.eid.PTEID_Object.swigCMemOwn.

void be.portugal.eid.PTEID_SisId.finalize | ( |  | ) | `[protected]`

Reimplemented from be.portugal.eid.PTEID_XMLDoc.

static long be.portugal.eid.PTEID_SisId.getCPtr | ( | PTEID_SisId | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_SisId.swigCPtr.

String be.portugal.eid.PTEID_SisId.getDateOfBirth | ( |  | ) | throws java.lang.Exception

Get the Date Of Birth field.

String be.portugal.eid.PTEID_SisId.getDateOfIssue | ( |  | ) | throws java.lang.Exception

Get the Date Of Issue field.

String be.portugal.eid.PTEID_SisId.getGender | ( |  | ) | throws java.lang.Exception

Get the Gender field.

String be.portugal.eid.PTEID_SisId.getInitials | ( |  | ) | throws java.lang.Exception

Get the initials field.

String be.portugal.eid.PTEID_SisId.getLogicalNumber | ( |  | ) | throws java.lang.Exception

Get the Logical Number field.

String be.portugal.eid.PTEID_SisId.getName | ( |  | ) | throws java.lang.Exception

Get the name field.

String be.portugal.eid.PTEID_SisId.getSocialSecurityNumber | ( |  | ) | throws java.lang.Exception

Get the Social Security Number field.

String be.portugal.eid.PTEID_SisId.getSurname | ( |  | ) | throws java.lang.Exception

Get the surname field.

String be.portugal.eid.PTEID_SisId.getValidityBeginDate | ( |  | ) | throws java.lang.Exception

Get the Validity Begin Date field.

String be.portugal.eid.PTEID_SisId.getValidityEndDate | ( |  | ) | throws java.lang.Exception

Get the Validity End Date field.